Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 822959 - Review Request: nitrotasks - Super awesome task management [NEEDINFO]
Summary: Review Request: nitrotasks - Super awesome task management
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2012-05-18 15:47 UTC by Ondrej Hrstka
Modified: 2015-07-21 13:42 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-21 13:42:29 UTC
tibbs: needinfo? (cybule)


Attachments (Terms of Use)

Description Ondrej Hrstka 2012-05-18 15:47:28 UTC
Spec URL: http://klobouk.fsv.cvut.cz/~ondra/rpms/nitrotasks.spec
SRPM URL: http://klobouk.fsv.cvut.cz/~ondra/rpms/nitrotasks-1.2.5-1.fc17.src.rpm
Description: Neat utility to organize tasks using lists, prioritization, add notes, due dates; supports drag and drop and instant search

Note: first package, looking for a sponsor

Comment 1 Fabian Affolter 2012-06-19 13:46:20 UTC
Please check the Python guidelines [0] and the general guidelines [1] for Fedora.

[0] https://fedoraproject.org/wiki/Packaging:Python
[1] https://fedoraproject.org/wiki/Packaging:Guidelines

Comment 2 Matthieu Saulnier 2012-07-19 10:36:08 UTC
Hello,
the 1.2.5 version is not the latest version of nitrotasks, please update your package.

Comment 3 Brenton Leanhardt 2012-07-26 17:46:38 UTC
Other things that need to be fixed:

When I tried to build with mock the 'intltool' BuildRequire was missing.

It's also preferable to require 'python-devel'.  That will BuildRequire python as well as give you access to convenient macros like %{__python}
https://fedoraproject.org/wiki/Packaging:Python#BuildRequires

You need to install nitrotasks.desktop.in as mentioned here:
http://fedoraproject.org/wiki/Packaging/Guidelines#Desktop_files

You need to verify that permission has been granted to distribute logos for DropBox, Ubuntu.  There is also an image of Justin Bieber that is probably not free to distribute.

http://fedoraproject.org/wiki/Packaging/Guidelines#Tags
The Vendor tag should not be used. It is set automatically by the build system

It's adviseable to work with upstream to clearly state the copyright holder in the COPYING file.

Comment 4 Ondrej Hrstka 2012-09-11 20:50:06 UTC
Hello, I created new RPM for nitrotasks 1.5, also I did a rework to react on your comments. (I did my best!)

The link is here:
http://iba-prague.xf.cz/

Comment 5 Elder Marco 2012-10-13 23:36:37 UTC
Your spec file needs a lot of changes. As Fabian said, check the python guidelines [1] and the general guidelines [2]. Also provide a direct url for your SPEC file and SRPM like you did in the first comment.

[1] https://fedoraproject.org/wiki/Packaging:Python
[2] https://fedoraproject.org/wiki/Packaging:Guidelines

Comment 6 Nikos Roussos 2013-03-06 20:39:48 UTC
Ondrej, any progress? I would like to have nitrotasks at Fedora repos and I could help.

Comment 7 Miroslav Suchý 2015-07-21 13:42:29 UTC
Closing due long inactivity. Feel free to reopen if you want to continue.


Note You need to log in before you can comment on or make changes to this bug.